Subject: Bug#998: [X2Go-Dev] Bug#998: Bug#998: Image inverted when displayed via x2go

From: Mike Gabriel <[email-masked]>
Date: Thu, 11 Feb 2016 21:43:26 +0000

Hi Toby,

On  Do 11 Feb 2016 16:20:12 CET, Toby Darling wrote:

> Hi Stefan
>
> Many thanks for your reply.
>
>> If you're using images displayed through X2Go for clinical purposes
>
> No worries on that score, it's just [not so] simple biology.
>
>> For your actual bug report, it would be helpful to know if the
>> "flipped image" (it's not color-inverted, it's mirrored along the X
>> axis) issue only occurs with one, or with all available algorithms.
>
> You are correct that the image inversion is is along the x-axis. The  
> colour/shading is correct.
>
> I've not been able to fix the inversion having tried with 16m,  
> 16m-png, 16m-rdp, 16m-tight, 8-tight, 8 and 8-png (I hope that's  
> enough for a representative sample)
>
> What I have now found is that an earlier version of the software  
> (EMAN2 2.0) *does* get displayed correctly through x2go. I've  
> narrowed this further to version 2.07 is OK when displayed via x2go,  
> while version 2.1 exhibits the inversion.
>
> http://ncmi.bcm.tmc.edu/ncmi/software/software_details?selected_software=counter_222
>
>
> Cheers
> Toby

Is the source code of the referenced software online? Is it free  
software? If yes, there is a chance we can look at changes in that  
software.

Also, does the software dynamically link in shared libraries? Or has  
it been built statically?

I guess that there is a flaw in nx-libs that gets triggered by your  
application. If we could generate diffs of the different EMAN2 2.0  
versions, we might be able to track down the cause for the mirroring  
effect.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de